/* CSS Reset Rule */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /*background-image: url('');*/
  background-size: cover;
  font-family: 'Tektur', sans-serif;

}

#body {
  /* Global styles for the entire body */
  background-image: url('https://image.lexica.art/full_jpg/2eb56e2f-e2d3-4a26-acb2-0be6f0b63a34');
  background-position: center top;
  background-size: cover;
  background-repeat: no-repeat;
}


/* https://image.lexica.art/full_jpg/2eb56e2f-e2d3-4a26-acb2-0be6f0b63a34 */

#root {
  /* Global styles applied to the elements within the #root element */
  padding: 20px;
  margin: 0 auto;
  max-width: 1200px;
}

#navbar {
  border-radius: 20px;
  color: white;
}


.cardHighlight {
  min-height: 100%;
}

.footer {
  text-align: center;
  margin-top: 4;
  margin-bottom: 4;
  color: white;
}


.appNavBar {
  background-color: darkgrey !important;
  border-radius: 10px;

}

#appHome{
  
  background-size: cover;
  border-radius: 20px;
  color: white;
}

#card{
  background: rgba(255,255,255,0.65);
  -webkit-backdrop-filter: blur(11px);
  backdrop-filter: blur(11px);
  border: 1px solid rgba(255,255,255,0.325);
  border-radius: 50px;
  box-shadow:  8px 8px 0px #c4c2c2,
               -8px -8px 0px #f0eded;
}

#cardTwo{
  background: rgba(255,255,255,0.65);
  -webkit-backdrop-filter: blur(11px);
  backdrop-filter: blur(11px);
  border: 1px solid rgba(255,255,255,0.325);
  border-radius: 50px;
  box-shadow:  8px 8px 0px #c4c2c2,
               -8px -8px 0px #f0eded;

}

#cardThree{
  background: rgba(255,255,255,0.65);
  -webkit-backdrop-filter: blur(11px);
  backdrop-filter: blur(11px);
  border: 1px solid rgba(255,255,255,0.325);
  border-radius: 50px;
  box-shadow:  8px 8px 0px #c4c2c2,
               -8px -8px 0px #f0eded;

}

#form {
  color: white;
}

#formTwo {
  color: white;
}

#productCard {
  background-color: lightgray;
}


#productHead {
  color: white;
}

#user {
  color: white;
}


#updateProfile {
  color: white;
}

#reset {
  color: white;
}


#orders {
  background-color: lightgray;
  border-radius: 10px;
}


#adminView {
  background-color: lightgray;
  border-radius: 10px;
}


#addProduct {
  background-color: lightgray;
  border-radius: 10px;
}


#totalOrder {
  background-color: lightgray;
  border-radius: 10px;
}


#profile {
  border-radius: 32px;
  background: #e9e2e5;
  box-shadow: inset 20px 20px 48px #706c6e,
              inset -20px -20px 48px #ffffff;
  border-radius: 10px;
}

#shopButton {
  width: 165px;
  height: 40px;
  cursor: pointer;
  color: #fff;
  font-size: 17px;
  border-radius: 1rem;
  border: none;
  position: relative;
  background: #100720;
  transition: 0.1s;
}

#shopButton::after {
  content: '';
  width: 100%;
  height: 100%;
  background-image: radial-gradient( circle farthest-corner at 10% 20%,  rgba(255,94,247,1) 17.8%, rgba(2,245,255,1) 100.2% );
  filter: blur(15px);
  z-index: -1;
  position: absolute;
  left: 0;
  top: 0;
}

#shopButton:active {
  transform: scale(0.9) rotate(3deg);
  background: radial-gradient( circle farthest-corner at 10% 20%,  rgba(255,94,247,1) 17.8%, rgba(2,245,255,1) 100.2% );
  transition: 0.5s;
}

#viewDetails {
  background: #282936;
  padding: 10px 2rem;
  outline: 2.5px solid #2a9393;
  outline-offset: 3px;
  border: 0;
  color: white;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-size: 1rem;
  border-radius: 100rem;
  transition: 0.4s;
  font-weight: 600;
}

#viewDetails :hover {
  outline-offset: 4.5px;
  background: #FEBF00;
  font-size: 1.1rem;
}

#viewDetails:hover {
  background: rgb(2,29,78);
  background: linear-gradient(270deg, rgba(2, 29, 78, 0.681) 0%, rgba(31, 215, 232, 0.873) 60%);
  color: rgb(4, 4, 38);
}

#purchaseButton {
  font-size: 1rem;
  padding: 1rem 2.5rem;
  border: none;
  outline: none;
  border-radius: 0.4rem;
  cursor: pointer;
  text-transform: uppercase;
  background-color: rgb(14, 14, 26);
  color: rgb(234, 234, 234);
  font-weight: 700;
  transition: 0.6s;
  box-shadow: 0px 0px 30px #1f4c65;
  
}

#purchaseButton:active {
  scale: 0.92;
}

#purchaseButton:hover {
  background: rgb(2,29,78);
  background: linear-gradient(270deg, rgba(2, 29, 78, 0.681) 0%, rgba(31, 215, 232, 0.873) 60%);
  color: rgb(4, 4, 38);
}


#add {
  font-size: 1rem;
  padding: 0.8em 2em;
  background-color: #000;
  border: 3px solid yellow;
  border-radius: 1em;
  color: #fff;
  font-weight: bolder;
  transition: cubic-bezier(0.68, -0.55, 0.265, 1.55) 0.4s;
  box-shadow: -5px 5px 0px 0px yellow;
}

#add:hover {
  transform: translate(5px, -5px);
}


#show {
  font-size: 1rem;
  padding: 0.8em 2em;
  background-color: #000;
  border: 3px solid yellow;
  border-radius: 1em;
  color: #fff;
  font-weight: bolder;
  transition: cubic-bezier(0.68, -0.55, 0.265, 1.55) 0.4s;
  box-shadow: -5px 5px 0px 0px yellow;
}

#show:hover {
  transform: translate(5px, -5px);
}

#input {
  --input-focus: #2d8cf0;
  --font-color: #fefefe;
  --font-color-sub: #7e7e7e;
  --bg-color: #111111;
  --main-color: #fefefe;
  width: 200px;
  height: 40px;
  border-radius: 5px;
  border: 2px solid var(--main-color);
  background-color: var(--bg-color);
  box-shadow: 4px 4px var(--main-color);
  font-size: 15px;
  font-weight: 600;
  color: var(--font-color);
  padding: 5px 10px;
  outline: none;
}

#input::placeholder {
  color: var(--font-color-sub);
  opacity: 0.8;
}

#input:focus {
  border: 2px solid var(--input-focus);
}


#updateP {
  font-family: monospace;
  font-size: 1rem;
  color: #FAFAFA;
  text-transform: uppercase;
  padding: 10px 20px;
  border-radius: 10px;
  border: 2px solid #FAFAFA;
  background: #252525;
  box-shadow: 3px 3px #fafafa;
  cursor: pointer;
  margin: 35px 0;
}

#updateP:active {
  box-shadow: none;
  transform: translate(3px, 3px);
}


#reset {
  font-family: monospace;
  font-size: 1rem;
  color: #FAFAFA;
  text-transform: uppercase;
  padding: 10px 20px;
  border-radius: 10px;
  border: 2px solid #FAFAFA;
  background: #252525;
  box-shadow: 3px 3px #fafafa;
  cursor: pointer;
  margin: 35px 0;
}

#reset:active {
  box-shadow: none;
  transform: translate(3px, 3px);
}


#loginInput {
  font-family: monospace;
  font-size: 1rem;
  color: #FAFAFA;
  text-transform: uppercase;
  padding: 10px 20px;
  border-radius: 10px;
  border: 2px solid #FAFAFA;
  background: #252525;
  box-shadow: 3px 3px #fafafa;
  cursor: pointer;
  margin: 35px 0;
}

#loginInput:active {
  box-shadow: none;
  transform: translate(3px, 3px);
}


#registerInput {
  font-family: monospace;
  font-size: 1rem;
  color: #FAFAFA;
  text-transform: uppercase;
  padding: 10px 20px;
  border-radius: 10px;
  border: 2px solid #FAFAFA;
  background: #252525;
  box-shadow: 3px 3px #fafafa;
  cursor: pointer;
  margin: 35px 0;
}

#registerInput:active {
  box-shadow: none;
  transform: translate(3px, 3px);
}


#razer {
  border-radius: 10px;
  height: 10rem;
  width: 15rem;
}



#cancelButton {
  font-size: 1rem;
  padding: 1rem 2.5rem;
  border: none;
  outline: none;
  border-radius: 0.4rem;
  cursor: pointer;
  text-transform: uppercase;
  background-color: rgb(14, 14, 26);
  color: rgb(234, 234, 234);
  font-weight: 700;
  transition: 0.6s;
  box-shadow: 0px 0px 30px #1f4c65;
  
}

#cancelButton:active {
  scale: 0.92;
}

#cancelButton:hover {
  background: rgb(2,29,78);
  background: linear-gradient(270deg, rgba(2, 29, 78, 0.681) 0%, rgba(31, 215, 232, 0.873) 60%);
  color: rgb(4, 4, 38);
}


#orders {
  border-radius: 32px;
  background: #e9e2e5;
  box-shadow: inset 20px 20px 48px #706c6e,
              inset -20px -20px 48px #ffffff;
  border-radius: 10px;
}


#adminView {
  border-radius: 32px;
  background: #e9e2e5;
  box-shadow: inset 20px 20px 48px #706c6e,
              inset -20px -20px 48px #ffffff;
  border-radius: 10px;
}

#totalOrder {
  border-radius: 32px;
  background: #e9e2e5;
  box-shadow: inset 20px 20px 48px #706c6e,
              inset -20px -20px 48px #ffffff;
  border-radius: 10px;
}


#user {
  font-family: monospace;
  font-size: 1rem;
  color: #FAFAFA;
  text-transform: uppercase;
  padding: 10px 20px;
  border-radius: 10px;
  border: 2px solid #FAFAFA;
  background: #252525;
  box-shadow: 3px 3px #fafafa;
  cursor: pointer;
  margin: 35px 0;
}

#user:active {
  box-shadow: none;
  transform: translate(3px, 3px);
}



#submitButton {
  font-size: 1rem;
  padding: 1rem 2.5rem;
  border: none;
  outline: none;
  border-radius: 0.4rem;
  cursor: pointer;
  text-transform: uppercase;
  background-color: rgb(14, 14, 26);
  color: rgb(234, 234, 234);
  font-weight: 700;
  transition: 0.6s;
  box-shadow: 0px 0px 30px #1f4c65;
  
}

#submitButton:active {
  scale: 0.92;
}

#submitButton:hover {
  background: rgb(2,29,78);
  background: linear-gradient(270deg, rgba(2, 29, 78, 0.681) 0%, rgba(31, 215, 232, 0.873) 60%);
  color: rgb(4, 4, 38);
}



#regBtn {
  font-size: 1rem;
  padding: 1rem 2.5rem;
  border: none;
  outline: none;
  border-radius: 0.4rem;
  cursor: pointer;
  text-transform: uppercase;
  background-color: rgb(14, 14, 26);
  color: rgb(234, 234, 234);
  font-weight: 700;
  transition: 0.6s;
  box-shadow: 0px 0px 30px #1f4c65;
  
}

#regBtn:active {
  scale: 0.92;
}

#regBtn:hover {
  background: rgb(2,29,78);
  background: linear-gradient(270deg, rgba(2, 29, 78, 0.681) 0%, rgba(31, 215, 232, 0.873) 60%);
  color: rgb(4, 4, 38);
}

#searchInput {
  outline: none;
  max-width: 220px;
  padding: 3px;
  background-color: #d4cbcb;
  border-radius: 12px;
  border: 3px solid #000000;
  width: auto;
  font-weight: bold;
  font-style: italic;
}

#searchInput:hover {
  background-color: #6ad5f0;
  outline: none;
  border: 4px solid #000000;
}




#productButton {
  font-size: 1rem;
  padding: 0.5rem 1rem;
  border: none;
  outline: none;
  border-radius: 0.4rem;
  cursor: pointer;
  text-transform: uppercase;
  background-color: rgb(14, 14, 26);
  color: rgb(234, 234, 234);
  font-weight: 700;
  transition: 0.6s;
  box-shadow: 0px 0px 30px #1f4c65;
  
}

#productButton:active {
  scale: 0.92;
}

#productButton:hover {
  background: rgb(2,29,78);
  background: linear-gradient(270deg, rgba(2, 29, 78, 0.681) 0%, rgba(31, 215, 232, 0.873) 60%);
  color: rgb(4, 4, 38);
}





































